%define upstream_name    HTML-Element-Extended
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    6

Summary:    Tables as easy HTML element structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires: perl(HTML::Element)

BuildArch: noarch

%description
Provides a way to graft raw HTML strings into your HTML::Element(3)
structures. Since they represent raw text, these can only be leaves in your
HTML element tree. The only methods that are of any real use in this
degenerate element are push_content() and as_HTML(). The push_content()
method will simply prepend the provided text to the current content. If you
happen to pass an HTML::element to push_content, the output of the
as_HTML() method in that element will be prepended.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog

* Tue Jul 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.180.0-6
- (df77329) Move to main


